#!/bin/sh
mydir=`pwd`

#FOLDER=~
FOLDER=/usr/local

if [ "$FOLDER" != ~ ]; then
IAM=`whoami`
if [ "$IAM" != "root" ]; then
xmessage -nearmouse "ERROR: You must be root to install Gtk-Themeselectors, exiting..."
exit
fi
fi

if [ ! -d "$FOLDER" ] ;then
mkdir $FOLDER
fi

cd $FOLDER

ACTION=install
if [ -d "Gtk-Themeselectors" ]; then

ACTION=`xmessage -nearmouse -print -buttons un-install,re-install "Gtk-Themeselectors already exists, your choice?"`

fi

echo $ACTION

if [ $ACTION = "un-install" ]; then
rm -rf $FOLDER/Gtk-Themeselectors
xmessage -nearmouse "Finished, Gtk-Themeselectors was uninstalled"
fi

if [ $ACTION = "install" ]; then
tar -xzvf $mydir/Gtk-Themeselectors.tgz

if [ ! -d "$FOLDER/Gtk-Themeselectors" ]; then
  xmessage "Error during extraction - are you root?"
  exit
fi
xmessage -nearmouse "Finished installation. To Uninstall Gtk-Themeselectors, run this installer again"
fi

if [ $ACTION = "re-install" ]; then
tar -xzvf $mydir/Gtk-Themeselectors.tgz
if [ ! -d "$FOLDER/Gtk-Themeselectors" ]; then
  xmessage "Error during extraction - are you root?"
  exit
fi
xmessage -nearmouse "Finished installation. To Uninstall Gtk-Themeselectors, run this installer again"
fi
